Index: pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c	(revision 1429)
+++ pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c	(revision 1430)
@@ -5404,40 +2862,40 @@
     {
         "frm_per_pkt", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, frm_per_pkt), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, frm_per_pkt), 0,
         "Number of frames per packet"
     },
     {
         "vad", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, vad), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, vad), 0,
         "Voice Activity Detector"
     },
     {
         "penh", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, penh), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, penh), 0,
         "Perceptual Enhancement"
     },
     {
         "plc", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, plc), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, plc), 0,
         "Packet loss concealment"
     },
     {
         "reserved", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, reserved), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, reserved), 0,
         "Reserved, must be zero"
     },
     {
         "cng", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, cng), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, cng), 0,
         "Comfort Noise Generator"
     },
     {
         "enc_fmtp_mode", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, enc_fmtp_mode), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, enc_fmtp_mode), 0,
         "Mode param in fmtp (def:0)"
     },
     {
         "dec_fmtp_mode", T_INT, 
-        offsetof(pjmedia_codec_param_setting_Object, dec_fmtp_mode), 0,
+        offsetof(PyObj_pjmedia_codec_param_setting, dec_fmtp_mode), 0,
         "Mode param in fmtp (def:0)"
     },
@@ -5450,12 +2908,12 @@
 
 /*
- * pjmedia_codec_param_setting_Type
- */
-static PyTypeObject pjmedia_codec_param_setting_Type =
+ * PyTyp_pjmedia_codec_param_setting
+ */
+static PyTypeObject PyTyp_pjmedia_codec_param_setting =
 {
     PyObject_HEAD_INIT(NULL)
     0,                              /*ob_size*/
     "py_pjsua.PJMedia_Codec_Param_Setting",      /*tp_name*/
-    sizeof(pjmedia_codec_param_setting_Object),  /*tp_basicsize*/
+    sizeof(PyObj_pjmedia_codec_param_setting),  /*tp_basicsize*/
     0,                              /*tp_itemsize*/
     0,/*tp_dealloc*/
@@ -5489,5 +2947,5 @@
 
 /*
- * pjmedia_codec_param_Object
+ * PyObj_pjmedia_codec_param
  * PJMedia Codec Param
  */
@@ -5497,8 +2955,8 @@
     /* Type-specific fields go here. */ 
     
-    pjmedia_codec_param_info_Object * info;
-    pjmedia_codec_param_setting_Object * setting;
-
-} pjmedia_codec_param_Object;
+    PyObj_pjmedia_codec_param_info * info;
+    PyObj_pjmedia_codec_param_setting * setting;
+
+} PyObj_pjmedia_codec_param;
 
 
@@ -5507,5 +2965,5 @@
  * deletes a pjmedia_codec_param from memory
  */
-static void pjmedia_codec_param_dealloc(pjmedia_codec_param_Object* self)
+static void pjmedia_codec_param_dealloc(PyObj_pjmedia_codec_param* self)
 {
     Py_XDECREF(self->info);        
@@ -5522,11 +2980,14 @@
                                     PyObject *kwds)
 {
-    pjmedia_codec_param_Object *self;
-
-    self = (pjmedia_codec_param_Object *)type->tp_alloc(type, 0);
+    PyObj_pjmedia_codec_param *self;
+
+    PJ_UNUSED_ARG(args);
+    PJ_UNUSED_ARG(kwds);
+
+    self = (PyObj_pjmedia_codec_param *)type->tp_alloc(type, 0);
     if (self != NULL)
     {
-        self->info = (pjmedia_codec_param_info_Object *)
-	    PyType_GenericNew(&pjmedia_codec_param_info_Type, NULL, NULL);
+        self->info = (PyObj_pjmedia_codec_param_info *)
+	    PyType_GenericNew(&PyTyp_pjmedia_codec_param_info, NULL, NULL);
         if (self->info == NULL)
     	{
@@ -5534,6 +2995,6 @@
             return NULL;
         }        
-	self->setting = (pjmedia_codec_param_setting_Object *)
-	    PyType_GenericNew(&pjmedia_codec_param_setting_Type, NULL, NULL);
+	self->setting = (PyObj_pjmedia_codec_param_setting *)
+	    PyType_GenericNew(&PyTyp_pjmedia_codec_param_setting, NULL, NULL);
         if (self->setting == NULL)
     	{
@@ -5553,5 +3014,5 @@
     {
         "info", T_OBJECT_EX,
-        offsetof(pjmedia_codec_param_Object, info), 0,
+        offsetof(PyObj_pjmedia_codec_param, info), 0,
         "The 'info' part of codec param describes the capability of the codec,"
         " and the value should NOT be changed by application."        
@@ -5559,5 +3020,5 @@
     {
         "setting", T_OBJECT_EX,
-        offsetof(pjmedia_codec_param_Object, setting), 0, 
+        offsetof(PyObj_pjmedia_codec_param, setting), 0, 
         "The 'setting' part of codec param describes various settings to be "
         "applied to the codec. When the codec param is retrieved from the "
@@ -5577,12 +3038,12 @@
 
 /*
- * pjmedia_codec_param_Type
- */
-static PyTypeObject pjmedia_codec_param_Type =
+ * PyTyp_pjmedia_codec_param
+ */
+static PyTypeObject PyTyp_pjmedia_codec_param =
 {
     PyObject_HEAD_INIT(NULL)
     0,                              /*ob_size*/
     "py_pjsua.PJMedia_Codec_Param",      /*tp_name*/
-    sizeof(pjmedia_codec_param_Object),  /*tp_basicsize*/
+    sizeof(PyObj_pjmedia_codec_param),  /*tp_basicsize*/
     0,                              /*tp_itemsize*/
     (destructor)pjmedia_codec_param_dealloc,/*tp_dealloc*/
@@ -5631,4 +3092,6 @@
     int ret;
     
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -5647,4 +3110,7 @@
 {    
     int ret;
+
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -5667,4 +3133,7 @@
     pjsua_conf_port_id id[PJSUA_MAX_CONF_PORTS];
     unsigned c, i;
+
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -5695,9 +3164,11 @@
 {    	
     int id;
-    conf_port_info_Object * obj;
+    PyObj_pjsua_conf_port_info * obj;
     pjsua_conf_port_info info;
     int status;	
     int i;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "i", &id))
     {
@@ -5707,6 +3178,6 @@
     
     status = pjsua_conf_get_port_info(id, &info);
-    obj = (conf_port_info_Object *)conf_port_info_new
-	    (&conf_port_info_Type,NULL,NULL);
+    obj = (PyObj_pjsua_conf_port_info *)conf_port_info_new
+	    (&PyTyp_pjsua_conf_port_info,NULL,NULL);
     obj->bits_per_sample = info.bits_per_sample;
     obj->channel_count = info.bits_per_sample;
@@ -5732,12 +3203,13 @@
     int p_id;
     PyObject * oportObj;
-    pjmedia_port_Object * oport;
+    PyObj_pjmedia_port * oport;
     pjmedia_port * port;
     PyObject * opoolObj;
-    pj_pool_Object * opool;
+    PyObj_pj_pool * opool;
     pj_pool_t * pool;
     
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "OO", &opoolObj, &oportObj))
@@ -5747,5 +3219,5 @@
     if (opoolObj != Py_None)
     {
-        opool = (pj_pool_Object *)opoolObj;
+        opool = (PyObj_pj_pool *)opoolObj;
 		pool = opool->pool;
     } else {
@@ -5755,5 +3227,5 @@
     if (oportObj != Py_None)
     {
-        oport = (pjmedia_port_Object *)oportObj;
+        oport = (PyObj_pjmedia_port *)oportObj;
 		port = oport->port;
     } else {
@@ -5777,4 +3249,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &id))
@@ -5798,4 +3271,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "ii", &source, &sink))
@@ -5819,4 +3293,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "ii", &source, &sink))
@@ -5843,4 +3318,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "Oi", &filename, &options))
@@ -5864,4 +3340,5 @@
     int id, port_id;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &id))
@@ -5886,4 +3363,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "iI", &id, &samples))
@@ -5907,4 +3385,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &id))
@@ -5937,4 +3416,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "OiOii", &filename, 
@@ -5967,4 +3447,5 @@
     int id, port_id;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &id))
@@ -5988,4 +3469,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &id))
@@ -6010,4 +3492,7 @@
     pjmedia_snd_dev_info info[SND_DEV_NUM];
     unsigned c, i;
+
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6025,7 +3510,7 @@
         char * str;
 	
-        pjmedia_snd_dev_info_Object * obj;
-        obj = (pjmedia_snd_dev_info_Object *)pjmedia_snd_dev_info_new
-	    (&pjmedia_snd_dev_info_Type, NULL, NULL);
+        PyObj_pjmedia_snd_dev_info * obj;
+        obj = (PyObj_pjmedia_snd_dev_info *)pjmedia_snd_dev_info_new
+	    (&PyTyp_pjmedia_snd_dev_info, NULL, NULL);
         obj->default_samples_per_sec = info[i].default_samples_per_sec;
         obj->input_count = info[i].input_count;
@@ -6058,4 +3543,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, ""))
@@ -6079,4 +3565,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "ii", &capture_dev, &playback_dev))
@@ -6100,4 +3587,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, ""))
@@ -6119,6 +3607,8 @@
 {    	
     
-    pjmedia_port_Object * obj;	
-    
+    PyObj_pjmedia_port * obj;	
+    
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6126,6 +3616,6 @@
     }	
      
-    obj = (pjmedia_port_Object *)PyType_GenericNew
-	(&pjmedia_port_Type, NULL, NULL);
+    obj = (PyObj_pjmedia_port *)PyType_GenericNew
+	(&PyTyp_pjmedia_port, NULL, NULL);
     obj->port = pjsua_set_no_snd_dev();
     return Py_BuildValue("O", obj);
@@ -6142,4 +3632,5 @@
     int status;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "ii", &tail_ms, &options))
@@ -6164,4 +3655,6 @@
     unsigned p_tail_ms;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6186,4 +3679,7 @@
     pjsua_codec_info info[PJMEDIA_CODEC_MGR_MAX_CODECS];
     unsigned c, i;
+
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6199,7 +3695,7 @@
         int ret;
         int j;
-        codec_info_Object * obj;
-        obj = (codec_info_Object *)codec_info_new
-	    (&codec_info_Type, NULL, NULL);
+        PyObj_pjsua_codec_info * obj;
+        obj = (PyObj_pjsua_codec_info *)codec_info_new
+	    (&PyTyp_pjsua_codec_info, NULL, NULL);
         obj->codec_id = PyString_FromStringAndSize
 	    (info[i].codec_id.ptr, info[i].codec_id.slen);
@@ -6231,4 +3727,6 @@
     pj_uint8_t priority;
     
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "OB", &id, &priority))
     {
@@ -6254,7 +3752,8 @@
     pj_str_t str;
     pjmedia_codec_param param;
-    pjmedia_codec_param_Object *obj;
-    
-    
+    PyObj_pjmedia_codec_param *obj;
+    
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "O", &id))
     {
@@ -6264,6 +3763,6 @@
     str.slen = strlen(PyString_AsString(id));
     status = pjsua_codec_get_param(&str, &param);
-    obj = (pjmedia_codec_param_Object *)pjmedia_codec_param_new
-	(&pjmedia_codec_param_Type, NULL, NULL);
+    obj = (PyObj_pjmedia_codec_param *)pjmedia_codec_param_new
+	(&PyTyp_pjmedia_codec_param, NULL, NULL);
     obj->info->avg_bps = param.info.avg_bps;
     obj->info->channel_cnt = param.info.channel_cnt;
@@ -6295,7 +3794,8 @@
     pjmedia_codec_param param;
     PyObject * tmpObj;
-    pjmedia_codec_param_Object *obj;
-    
-    
+    PyObj_pjmedia_codec_param *obj;
+    
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "OO", &id, &tmpObj))
     {
@@ -6307,5 +3807,5 @@
     if (tmpObj != Py_None)
     {
-        obj = (pjmedia_codec_param_Object *)tmpObj;
+        obj = (PyObj_pjmedia_codec_param *)tmpObj;
         param.info.avg_bps = obj->info->avg_bps;
         param.info.channel_cnt = obj->info->channel_cnt;
@@ -6343,5 +3843,5 @@
 static char pjsua_conf_add_port_doc[] =
     "int, int py_pjsua.conf_add_port "
-    "(py_pjsua.PJ_Pool pool, py_pjsua.PJMedia_Port port) "
+    "(py_pjsua.Pj_Pool pool, py_pjsua.PJMedia_Port port) "
     "Add arbitrary media port to PJSUA's conference bridge. "
     "Application can use this function to add the media port "
@@ -6443,5 +3943,5 @@
 
 /*
- * pj_time_val_Object
+ * PyObj_pj_time_val
  * PJ Time Val
  */
@@ -6453,5 +3953,5 @@
     long msec;
 
-} pj_time_val_Object;
+} PyObj_pj_time_val;
 
 
@@ -6465,10 +3965,10 @@
     {
         "sec", T_INT, 
-        offsetof(pj_time_val_Object, sec), 0,
+        offsetof(PyObj_pj_time_val, sec), 0,
         "The seconds part of the time"
     },
     {
         "msec", T_INT, 
-        offsetof(pj_time_val_Object, sec), 0,
+        offsetof(PyObj_pj_time_val, sec), 0,
         "The milliseconds fraction of the time"
     },
@@ -6482,12 +3982,12 @@
 
 /*
- * pj_time_val_Type
- */
-static PyTypeObject pj_time_val_Type =
+ * PyTyp_pj_time_val
+ */
+static PyTypeObject PyTyp_pj_time_val =
 {
     PyObject_HEAD_INIT(NULL)
     0,                              /*ob_size*/
     "py_pjsua.PJ_Time_Val",      /*tp_name*/
-    sizeof(pj_time_val_Object),  /*tp_basicsize*/
+    sizeof(PyObj_pj_time_val),  /*tp_basicsize*/
     0,                              /*tp_itemsize*/
     0,/*tp_dealloc*/
@@ -6521,5 +4021,5 @@
 
 /*
- * call_info_Object
+ * PyObj_pjsua_call_info
  * Call Info
  */
@@ -6544,6 +4044,6 @@
     int media_dir;
     int conf_slot;
-    pj_time_val_Object * connect_duration;
-    pj_time_val_Object * total_duration;
+    PyObj_pj_time_val * connect_duration;
+    PyObj_pj_time_val * total_duration;
     struct {
 	char local_info[128];
@@ -6555,5 +4055,5 @@
     } buf_;
 
-} call_info_Object;
+} PyObj_pjsua_call_info;
 
 
@@ -6562,5 +4062,5 @@
  * deletes a call_info from memory
  */
-static void call_info_dealloc(call_info_Object* self)
+static void call_info_dealloc(PyObj_pjsua_call_info* self)
 {
     Py_XDECREF(self->local_info);
@@ -6584,7 +4084,10 @@
                                     PyObject *kwds)
 {
-    call_info_Object *self;
-
-    self = (call_info_Object *)type->tp_alloc(type, 0);
+    PyObj_pjsua_call_info *self;
+
+    PJ_UNUSED_ARG(args);
+    PJ_UNUSED_ARG(kwds);
+
+    self = (PyObj_pjsua_call_info *)type->tp_alloc(type, 0);
     if (self != NULL)
     {
@@ -6631,6 +4134,6 @@
             return NULL;
         }
-	self->connect_duration = (pj_time_val_Object *)PyType_GenericNew
-	    (&pj_time_val_Type,NULL,NULL);
+	self->connect_duration = (PyObj_pj_time_val *)PyType_GenericNew
+	    (&PyTyp_pj_time_val,NULL,NULL);
         if (self->connect_duration == NULL)
     	{
@@ -6638,6 +4141,6 @@
             return NULL;
         }
-	self->total_duration = (pj_time_val_Object *)PyType_GenericNew
-	    (&pj_time_val_Type,NULL,NULL);
+	self->total_duration = (PyObj_pj_time_val *)PyType_GenericNew
+	    (&PyTyp_pj_time_val,NULL,NULL);
         if (self->total_duration == NULL)
     	{
@@ -6656,85 +4159,85 @@
     {
         "id", T_INT, 
-        offsetof(call_info_Object, id), 0,
+        offsetof(PyObj_pjsua_call_info, id), 0,
         "Call identification"
     },
     {
         "role", T_INT, 
-        offsetof(call_info_Object, role), 0,
+        offsetof(PyObj_pjsua_call_info, role), 0,
         "Initial call role (UAC == caller)"
     },
     {
         "acc_id", T_INT, 
-        offsetof(call_info_Object, acc_id), 0,
+        offsetof(PyObj_pjsua_call_info, acc_id), 0,
         "The account ID where this call belongs."
     },
     {
         "local_info", T_OBJECT_EX,
-        offsetof(call_info_Object, local_info), 0,
+        offsetof(PyObj_pjsua_call_info, local_info), 0,
         "Local URI"        
     },
     {
         "local_contact", T_OBJECT_EX,
-        offsetof(call_info_Object, local_contact), 0,
+        offsetof(PyObj_pjsua_call_info, local_contact), 0,
         "Local Contact"        
     },
     {
         "remote_info", T_OBJECT_EX,
-        offsetof(call_info_Object, remote_info), 0,
+        offsetof(PyObj_pjsua_call_info, remote_info), 0,
         "Remote URI"        
     },
     {
         "remote_contact", T_OBJECT_EX,
-        offsetof(call_info_Object, remote_contact), 0,
+        offsetof(PyObj_pjsua_call_info, remote_contact), 0,
         "Remote Contact"        
     },
     {
         "call_id", T_OBJECT_EX,
-        offsetof(call_info_Object, call_id), 0,
+        offsetof(PyObj_pjsua_call_info, call_id), 0,
         "Dialog Call-ID string"        
     },
     {
         "state", T_INT, 
-        offsetof(call_info_Object, state), 0,
+        offsetof(PyObj_pjsua_call_info, state), 0,
         "Call state"
     },
     {
         "state_text", T_OBJECT_EX,
-        offsetof(call_info_Object, state_text), 0,
+        offsetof(PyObj_pjsua_call_info, state_text), 0,
         "Text describing the state "        
     },
     {
         "last_status", T_INT, 
-        offsetof(call_info_Object, last_status), 0,
+        offsetof(PyObj_pjsua_call_info, last_status), 0,
         "Last status code heard, which can be used as cause code"
     },
     {
         "last_status_text", T_OBJECT_EX,
-        offsetof(call_info_Object, last_status_text), 0,
+        offsetof(PyObj_pjsua_call_info, last_status_text), 0,
         "The reason phrase describing the status."        
     },
     {
         "media_status", T_INT, 
-        offsetof(call_info_Object, media_status), 0,
+        offsetof(PyObj_pjsua_call_info, media_status), 0,
         "Call media status."
     },
     {
         "media_dir", T_INT, 
-        offsetof(call_info_Object, media_dir), 0,
+        offsetof(PyObj_pjsua_call_info, media_dir), 0,
         "Media direction"
     },
     {
         "conf_slot", T_INT, 
-        offsetof(call_info_Object, conf_slot), 0,
+        offsetof(PyObj_pjsua_call_info, conf_slot), 0,
         "The conference port number for the call"
     },
     {
         "connect_duration", T_OBJECT_EX,
-        offsetof(call_info_Object, connect_duration), 0,
+        offsetof(PyObj_pjsua_call_info, connect_duration), 0,
         "Up-to-date call connected duration(zero when call is not established)"
     },
     {
         "total_duration", T_OBJECT_EX,
-        offsetof(call_info_Object, total_duration), 0,
+        offsetof(PyObj_pjsua_call_info, total_duration), 0,
         "Total call duration, including set-up time"        
     },
@@ -6747,12 +4250,12 @@
 
 /*
- * call_info_Type
- */
-static PyTypeObject call_info_Type =
+ * PyTyp_pjsua_call_info
+ */
+static PyTypeObject PyTyp_pjsua_call_info =
 {
     PyObject_HEAD_INIT(NULL)
     0,                              /*ob_size*/
     "py_pjsua.Call_Info",      /*tp_name*/
-    sizeof(call_info_Object),  /*tp_basicsize*/
+    sizeof(PyObj_pjsua_call_info),  /*tp_basicsize*/
     0,                              /*tp_itemsize*/
     (destructor)call_info_dealloc,/*tp_dealloc*/
@@ -6801,4 +4304,6 @@
     int count;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6821,4 +4326,5 @@
     int count;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, ""))
@@ -6843,4 +4349,7 @@
     pjsua_transport_id id[PJSUA_MAX_CALLS];
     unsigned c, i;
+
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -6877,8 +4386,10 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;
+    PyObj_pjsua_msg_data * omd;
     int user_data;
     int call_id;
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple
@@ -6892,5 +4403,5 @@
     if (omdObj != Py_None) 
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -6922,4 +4433,5 @@
     int isActive;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &call_id))
@@ -6943,4 +4455,5 @@
     int hasMedia;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &call_id))
@@ -6964,4 +4477,5 @@
     int port_id;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &call_id))
@@ -6984,7 +4498,8 @@
     int call_id;
     int status;
-    call_info_Object * oi;
+    PyObj_pjsua_call_info * oi;
     pjsua_call_info info;
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &call_id))
@@ -6997,5 +4512,5 @@
     if (status == PJ_SUCCESS) 
     {
-        oi = (call_info_Object *)call_info_new(&call_info_Type, NULL, NULL);
+        oi = (PyObj_pjsua_call_info *)call_info_new(&PyTyp_pjsua_call_info, NULL, NULL);
         oi->acc_id = info.acc_id;
         pj_ansi_snprintf(oi->buf_.call_id, sizeof(oi->buf_.call_id),
@@ -7057,4 +4572,6 @@
     int status;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "ii", &call_id, &user_data))
     {
@@ -7077,4 +4594,5 @@
     void * user_data;	
     
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &call_id))
@@ -7102,6 +4620,8 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "iIOO", &call_id, &code, &sr, &omdObj))
@@ -7119,5 +4639,5 @@
     if (omdObj != Py_None) 
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7153,6 +4673,8 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool = NULL;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "iIOO", &call_id, &code, &sr, &omdObj))
@@ -7170,5 +4692,5 @@
     if (omdObj != Py_None) 
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7196,8 +4718,10 @@
     int call_id;    
     pjsua_msg_data msg_data;
-	PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObject * omdObj;
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "iO", &call_id, &omdObj))
     {
@@ -7207,5 +4731,5 @@
     if (omdObj != Py_None) 
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7234,7 +4758,9 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "iiO", &call_id, &unhold, &omdObj))
     {
@@ -7244,5 +4770,5 @@
     if (omdObj != Py_None)
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7272,6 +4798,8 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "iOO", &call_id, &sd, &omdObj))
@@ -7285,5 +4813,5 @@
     if (omdObj != Py_None)
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7313,6 +4841,8 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple
@@ -7324,5 +4854,5 @@
     if (omdObj != Py_None)
     {
-        omd = (msg_data_Object *)omdObj;    
+        omd = (PyObj_pjsua_msg_data *)omdObj;    
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7352,4 +4882,6 @@
     int status;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "iO", &call_id, &sd))
     {
@@ -7377,7 +4909,9 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     int user_data;
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple
@@ -7399,5 +4933,5 @@
     if (omdObj != Py_None)
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7429,6 +4963,8 @@
     pjsua_msg_data msg_data;
     PyObject * omdObj;
-    msg_data_Object * omd;    
+    PyObj_pjsua_msg_data * omd;    
     pj_pool_t * pool;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "iiO", &call_id, &is_typing, &omdObj))
@@ -7439,5 +4975,5 @@
     if (omdObj != Py_None)
     {
-        omd = (msg_data_Object *)omdObj;
+        omd = (PyObj_pjsua_msg_data *)omdObj;
         msg_data.content_type.ptr = PyString_AsString(omd->content_type);
         msg_data.content_type.slen = strlen
@@ -7462,4 +4998,6 @@
 {    	
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, ""))
     {
@@ -7488,4 +5026,6 @@
     int status;
 
+    PJ_UNUSED_ARG(pSelf);
+
     if (!PyArg_ParseTuple(pArgs, "iiIO", &call_id, &with_media, &maxlen, &si))
     {
@@ -7511,4 +5051,6 @@
     char buf[1024];
     int detail;
+
+    PJ_UNUSED_ARG(pSelf);
 
     if (!PyArg_ParseTuple(pArgs, "i", &detail))
@@ -7722,8 +5264,4 @@
     },
     {
-        "transport_register", py_pjsua_transport_register, METH_VARARGS,
-        pjsua_transport_register_doc
-    },
-    {
         "transport_enum_transports", py_pjsua_enum_transports, METH_VARARGS,
         pjsua_enum_transports_doc
@@ -7780,4 +5318,8 @@
         "acc_set_online_status", py_pjsua_acc_set_online_status, METH_VARARGS,
         pjsua_acc_set_online_status_doc
+    },
+    {
+        "acc_set_online_status2", py_pjsua_acc_set_online_status2, METH_VARARGS,
+        pjsua_acc_set_online_status2_doc
     },
     {
@@ -8067,68 +5609,62 @@
     PyEval_InitThreads();
 
-    if (PyType_Ready(&callback_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_callback) < 0)
         return;
-    if (PyType_Ready(&config_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_config) < 0)
         return;
-    if (PyType_Ready(&logging_config_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_logging_config) < 0)
         return;
-    if (PyType_Ready(&msg_data_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_msg_data) < 0)
         return;
-    media_config_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&media_config_Type) < 0)
+    PyTyp_pjsua_media_config.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjsua_media_config) < 0)
         return;
-    pjsip_event_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjsip_event_Type) < 0)
+    PyTyp_pjsip_event.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjsip_event) < 0)
         return;
-    pjsip_rx_data_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjsip_rx_data_Type) < 0)
+    PyTyp_pjsip_rx_data.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjsip_rx_data) < 0)
         return;
-    pj_pool_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pj_pool_Type) < 0)
+    PyTyp_pj_pool_t.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pj_pool_t) < 0)
         return;
-    pjsip_endpoint_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjsip_endpoint_Type) < 0)
+    PyTyp_pjsip_endpoint.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjsip_endpoint) < 0)
         return;
-    pjmedia_endpt_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjmedia_endpt_Type) < 0)
+    PyTyp_pjmedia_endpt.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjmedia_endpt) < 0)
         return;
-    pj_pool_factory_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pj_pool_factory_Type) < 0)
+    PyTyp_pj_pool_factory.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pj_pool_factory) < 0)
         return;
-    pjsip_cred_info_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjsip_cred_info_Type) < 0)
+    PyTyp_pjsip_cred_info.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjsip_cred_info) < 0)
         return;
 
     /* LIB TRANSPORT */
 
-    if (PyType_Ready(&transport_config_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_transport_config) < 0)
         return;
-    if (PyType_Ready(&host_port_Type) < 0)
+    
+    if (PyType_Ready(&PyTyp_pjsua_transport_info) < 0)
         return;
     
-    if (PyType_Ready(&transport_info_Type) < 0)
+    /* END OF LIB TRANSPORT */
+
+    /* LIB ACCOUNT */
+
+    
+    if (PyType_Ready(&PyTyp_pjsua_acc_config) < 0)
         return;
-    
-    pjsip_transport_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjsip_transport_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_acc_info) < 0)
         return;
 
-    /* END OF LIB TRANSPORT */
-
-    /* LIB ACCOUNT */
-
-    
-    if (PyType_Ready(&acc_config_Type) < 0)
+    /* END OF LIB ACCOUNT */
+
+    /* LIB BUDDY */
+
+    if (PyType_Ready(&PyTyp_pjsua_buddy_config) < 0)
         return;
-    if (PyType_Ready(&acc_info_Type) < 0)
-        return;
-
-    /* END OF LIB ACCOUNT */
-
-    /* LIB BUDDY */
-
-    if (PyType_Ready(&buddy_config_Type) < 0)
-        return;
-    if (PyType_Ready(&buddy_info_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_buddy_info) < 0)
         return;
 
@@ -8137,25 +5673,25 @@
     /* LIB MEDIA */
   
-    if (PyType_Ready(&codec_info_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_codec_info) < 0)
         return;
 
-    if (PyType_Ready(&conf_port_info_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_conf_port_info) < 0)
         return;
 
-    pjmedia_port_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjmedia_port_Type) < 0)
+    PyTyp_pjmedia_port.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjmedia_port) < 0)
         return;
 
-    if (PyType_Ready(&pjmedia_snd_dev_info_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjmedia_snd_dev_info) < 0)
         return;
 
-    pjmedia_codec_param_info_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjmedia_codec_param_info_Type) < 0)
+    PyTyp_pjmedia_codec_param_info.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjmedia_codec_param_info) < 0)
         return;
-    pjmedia_codec_param_setting_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pjmedia_codec_param_setting_Type) < 0)
+    PyTyp_pjmedia_codec_param_setting.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pjmedia_codec_param_setting) < 0)
         return;
 
-    if (PyType_Ready(&pjmedia_codec_param_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjmedia_codec_param) < 0)
         return;
 
@@ -8164,9 +5700,9 @@
     /* LIB CALL */
 
-    pj_time_val_Type.tp_new = PyType_GenericNew;
-    if (PyType_Ready(&pj_time_val_Type) < 0)
+    PyTyp_pj_time_val.tp_new = PyType_GenericNew;
+    if (PyType_Ready(&PyTyp_pj_time_val) < 0)
         return;
 
-    if (PyType_Ready(&call_info_Type) < 0)
+    if (PyType_Ready(&PyTyp_pjsua_call_info) < 0)
         return;
 
